X2Go Bug report logs - #794
Error message regarding a missing host public key should be non-modal.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mihai Moldovan <ionic@ionic.de>

Date: Wed, 18 Feb 2015 21:20:03 UTC

Owned by: ionic@ionic.de

Severity: normal

Tags: pending

Found in version 4.0.3.2-preview1

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #9 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 9 Mar 2015 22:29:59 +0000
From x2go@ymir.das-netzwerkteam.de  Mon Mar  9 23:29:58 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 621283BE7B; Mon,  9 Mar 2015 23:29:57 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 794-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 794@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150309222958.621283BE7B@ymir.das-netzwerkteam.de>
Date: Mon,  9 Mar 2015 23:29:57 +0100 (CET)
tag #794 pending
fixed #794 4.0.4.0
thanks

Hello,

X2Go issue #794 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fd09a56

The issue will most likely be fixed in src:x2goclient (4.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fd09a566f234f80574b1d037f68c9087f75293c7
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Mon Mar 9 22:53:56 2015 +0100

    onmainwindow.cpp: use Non_Modal_MessageBox::critical function to display errors relating to missing sshd host keys.
    
    Fixes #794.

diff --git a/debian/changelog b/debian/changelog
index 393f57e..3c1740e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -188,6 +188,8 @@ x2goclient (4.0.4.0-0x2go1) UNRELEASED; urgency=low
       keys. Fixes: #793.
     - non_modal_messagebox.{cpp,h}: Add new Non_Modal_MessageBox class for
       non-modal message boxes.
+    - onmainwindow.cpp: use Non_Modal_MessageBox::critical function to display
+      errors relating to missing sshd host keys. Fixes: #794.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Thu, 19 Feb 2015 13:25:28 +0100
 


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 20 01:29:43 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.